Subject: Re: Problem with radeonfb on PowerPC 7448&MV64560

From: Eduard Fuchs <[email-masked]>
Date: Thu, 19 Mar 2009 10:51:37 +0100

Am Mittwoch 18 März 2009 00:05:00 schrieb Benjamin Herrenschmidt:
> On Tue, 2009-03-17 at 16:30 +0100, Eduard Fuchs wrote:
> > Hi all,
> >
> > since several days I'm trying to run an ATI 9250 (PCI) graphic card under
> > Linux Kernel 2.6.27.19. Nevertheless without success. The kernel shows
> > the following message:
> >
> > videoboot: Booting PCI video card bus 0, function 0, device 7
> > biosEmu: undefined interrupt 15h called!
> > biosEmu/bios.int42: unknown function AH=0x0, AL=0x7, BL=0x0
>
> The above comes from some patches you added to the kernel ? You should
> probably do the softboot in the firmware instead...

Yes. I'm using the videoboot-2.6x.patch (this patch contain also the xf86emu 
from www.scitechsoft.com). With this pach the radeon card work properly with 
2.6.12 kernel version. On the 2.6.27 kernel the "videoboot" fetch the bios 
from the video card and start them in the xf86emu.

Can I initialize the video card in uboot too?

>
> > radeonfb (0000:00:07.0): Cannot match card to OF node !
>
> The above should be mostly harmless.
>
> > RADEON: CHIP_FAMILY 10 (0xa)
> > RADEON: MMIO_BASE 0xf1058000
> > RADEON: MMIO_BASE_PHYS 0x88000000
> > radeonfb (0000:00:07.0): Found 0k of SDRAM 64 bits wide videoram
> > RADEON: Try map FB Phys 0x80000000, size 0, 16777216. 0
>
> The above sounds wrong, was the card properly initialized ? Looks like
> your videoboot failed...

I dont know what exactly happens when the xf86emu runs the video bios and i 
have no idea how can i verify that the card was properly initialized.

Best regards

Eduard Fuchs